Bug 1282899 - libstoragemgmt must not depend on python2
libstoragemgmt must not depend on python2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libstoragemgmt (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tony Asleson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2015-11-17 13:45 EST by Jon Stanley
Modified: 2017-08-08 09:01 EDT (History)
8 users (show)

See Also:
Fixed In Version: libstoragemgmt-1.4.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:25:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2015-11-17 13:45:25 EST
In rawhide, libstoragemgmt has a hard Requires: of %{name}-python.

This causes the python2 stack to be pulled in, which we are trying to eliminate from Fedora Server default install. Either this dependency must be removed (there is nothing in the Fedora Server default install that requires the python bindings of which I'm aware), or a python3 compatible subpackage must be provided (and the dep on the python2 package removed)
Comment 1 Jan Kurik 2016-02-24 08:59:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-05-11 05:34:29 EDT
Hello Tony,

do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.io/
Comment 3 Tony Asleson 2016-05-12 13:55:00 EDT
(In reply to Dominika Krejčí from comment #2)
> Hello Tony,
> 
> do you need any help adding Python 3 support to the RPM?
> 
> If you need more instructions, a [guide] for porting Python-based RPMs is
> available.
> 
> [guide] http://python-rpm-porting.readthedocs.io/

We have some changes in progress that we will hopefully be completing soon.  The package is a library so we need to maintain py2 and py3 compatibility.  The main difficulty is in the external libraries we depend on which haven't been ported to py3.  In some cases we are re-implementing functionality internally and in other cases we are switching to different libraries with similar functionality.
Comment 4 Gris Ge 2016-10-26 22:34:25 EDT
Hi Dominika Krejčí,

We have the pure python3 version ready in upstream[1] which will be included in next release(about Dec 2016).

Should we backport to Fedora or Fedora can wait for next release of libstoragemgmt?

Thank you.

[1]: https://github.com/libstorage/libstoragemgmt/pull/103
Comment 5 Stephen Gallagher 2016-10-27 08:08:36 EDT
(In reply to Gris Ge from comment #4)
> Should we backport to Fedora or Fedora can wait for next release of
> libstoragemgmt?

The value here is specifically for installations, so backporting to a released Fedora provides little value as far as I can see (strictly from the perspective of this BZ).

That said, if there is other value to backporting (such as providing additional functionality for Cockpit), then by all means provide an update for F24/F25.
Comment 6 Dominika Krejčí 2016-11-08 03:37:59 EST
I hope it can wait for the next release. Good luck with pure Python 3!
Comment 7 Gris Ge 2017-02-23 09:53:53 EST
libstoragemgmt-1.4.0-1.fc24 in Fedora test repo now(soon) which only depend on
python3 stuff. The old python2 package is also kept for back compatibility.
Comment 8 Fedora End Of Life 2017-07-25 15:30:57 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-08-08 08:25:34 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.